package com.ruoyi.project.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.springframework.data.annotation.Transient;

import java.util.List;

/**
 * 【土建出图】对象 tj_civil_engineering
 * 
 * @author ruoyi
 * @date 2024-05-20
 */
public class TjCivilEngineering extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 土建出图编号 */
    @Excel(name = "土建出图编号")
    private String civilEngineeringNo;

    /** 项目ID */
    @Excel(name = "项目ID")
    private Long projectId;

    /** 模板ID */
    @Excel(name = "模板ID")
    private Long templateId;

    /** 共井道材质（00：混领土 01：分割梁） */
    @Excel(name = "共井道材质")
    private String commonShaftMaterial;

    /** 待出图、已出图（关联字典） */
    @Excel(name = "出图状态")
    private String status;

    /** 数据权限字符 */
    private String permissionChar;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    @Transient
    private String projectNo;
    @Transient
    private String projectName;
    @Transient
    private Long quotationId;
    @Transient
    private String quotationNo;
    @Transient
    private String version;
    @Transient
    private String elevatorModel;
    @Transient
    private String elevatorNumber;
    @Transient
    private String specification;
    @Transient
    private String submitter;
    @Transient
    private String countryName;
    @Transient
    private String countryNameUS;
    @Transient
    private String countryNameRU;
    @Transient
    private String countryNameES;
    @Transient
    private String city;
    @Transient
    private String developer;
    @Transient
    private String elevatorPosition;
    /** 电梯列表 */
    @Transient
    private List<TjElevator> elevatorList;

    public List<TjElevator> getElevatorList() {
        return elevatorList;
    }

    public void setElevatorList(List<TjElevator> elevatorList) {
        this.elevatorList = elevatorList;
    }

    public String getCountryName() {
        return countryName;
    }

    public void setCountryName(String countryName) {
        this.countryName = countryName;
    }

    public String getCountryNameUS() {
        return countryNameUS;
    }

    public void setCountryNameUS(String countryNameUS) {
        this.countryNameUS = countryNameUS;
    }

    public String getCountryNameRU() {
        return countryNameRU;
    }

    public void setCountryNameRU(String countryNameRU) {
        this.countryNameRU = countryNameRU;
    }

    public String getCountryNameES() {
        return countryNameES;
    }

    public void setCountryNameES(String countryNameES) {
        this.countryNameES = countryNameES;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDeveloper() {
        return developer;
    }

    public void setDeveloper(String developer) {
        this.developer = developer;
    }

    public String getElevatorPosition() {
        return elevatorPosition;
    }

    public void setElevatorPosition(String elevatorPosition) {
        this.elevatorPosition = elevatorPosition;
    }

    public String getProjectNo() {
        return projectNo;
    }

    public void setProjectNo(String projectNo) {
        this.projectNo = projectNo;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public Long getQuotationId() {
        return quotationId;
    }

    public void setQuotationId(Long quotationId) {
        this.quotationId = quotationId;
    }

    public String getQuotationNo() {
        return quotationNo;
    }

    public void setQuotationNo(String quotationNo) {
        this.quotationNo = quotationNo;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getElevatorModel() {
        return elevatorModel;
    }

    public void setElevatorModel(String elevatorModel) {
        this.elevatorModel = elevatorModel;
    }

    public String getElevatorNumber() {
        return elevatorNumber;
    }

    public void setElevatorNumber(String elevatorNumber) {
        this.elevatorNumber = elevatorNumber;
    }

    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    public String getSubmitter() {
        return submitter;
    }

    public void setSubmitter(String submitter) {
        this.submitter = submitter;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCivilEngineeringNo(String civilEngineeringNo)
    {
        this.civilEngineeringNo = civilEngineeringNo;
    }

    public String getCivilEngineeringNo()
    {
        return civilEngineeringNo;
    }
    public void setProjectId(Long projectId) 
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setTemplateId(Long templateId) 
    {
        this.templateId = templateId;
    }

    public Long getTemplateId() 
    {
        return templateId;
    }
    public void setCommonShaftMaterial(String commonShaftMaterial) 
    {
        this.commonShaftMaterial = commonShaftMaterial;
    }

    public String getCommonShaftMaterial() 
    {
        return commonShaftMaterial;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setPermissionChar(String permissionChar) 
    {
        this.permissionChar = permissionChar;
    }

    public String getPermissionChar() 
    {
        return permissionChar;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("civilEngineeringNo", getCivilEngineeringNo())
            .append("projectId", getProjectId())
            .append("templateId", getTemplateId())
            .append("commonShaftMaterial", getCommonShaftMaterial())
            .append("status", getStatus())
            .append("permissionChar", getPermissionChar())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
